import { Action } from "./action";
export interface PluginPackageProps {
    /**
     * Folder to recursively load ACtions from.
     */
    folder: string;
}
export interface GlueStikPlugin {
    /**
     * The {@link Action} that constitutes this {@link GlueStikPlugin}
     *
     * note: we might eventually have different types here.
     */
    action: Action;
    /**
     * The file that contains this {@link GlueStikPlugin}.
     */
    file: string;
    /**
     * The export name of the plugin.
     */
    handler: string;
}
/**
 * Loads {@link Action}s from a folder.
 */
export declare class PluginPackage {
    #private;
    /**
     * Folder tos cane for all Plugins.
     */
    readonly folder: string;
    /**
     * List of all {@link GlueStikPlugin}s in this {@link PluginPackage}.
     */
    get plugins(): GlueStikPlugin[];
    constructor(props: PluginPackageProps);
}
//# sourceMappingURL=plugin.d.ts.map