export declare type PackageManager = "npm" | "yarn" | "pnpm";
/**
 * Try to detect the user's package manager
 * - First try to read it from the 'packageManager' field of package.json
 * - If this fails, try to detect a pnpm-lock.yaml or yarn.lock in the user's workspace root
 * - Otherwise default to npm
 * @param workspaceRoot path to the root of the repo's workspace
 * @returns The inferred package manager name/command
 */
export declare function resolvePackageManager(workspaceRoot: string): PackageManager;
//# sourceMappingURL=package-manager.d.ts.map